apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-web-deployment-1
  labels:
    app: hello
    yo: "yes"
spec:
  selector:
    matchLabels:
      app: hello
      tier: web
  template:
    metadata:
      labels:
        app: hello
        tier: web
    spec:
      containers:
      - name: hello-app
        image: gcr.io/google-samples/hello-app:2.0
        ports:
        - containerPort: 8080
        resources:
          requests:
            cpu: 200m
